Bug 1304580 - Review Request: nodejs-kind-of - Get the native type of a value
Review Request: nodejs-kind-of - Get the native type of a value
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On: 1304576
Blocks: nodejs-reviews
  Show dependency treegraph
 
Reported: 2016-02-03 21:28 EST by Jared Smith
Modified: 2016-08-04 07:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-04 07:19:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2016-02-03 21:28:58 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-kind-of/nodejs-kind-of.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-kind-of/nodejs-kind-of-3.0.2-2.fc24.src.rpm
Description: Get the native type of a value
Fedora Account System Username: jsmith
Comment 1 Tom Hughes 2016-02-11 13:32:13 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in /home/tom/1304580
     -nodejs-kind-of/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-kind-of-3.0.2-2.fc24.noarch.rpm
          nodejs-kind-of-3.0.2-2.fc24.src.rpm
nodejs-kind-of.noarch: W: only-non-binary-in-usr-lib
nodejs-kind-of.noarch: W: dangling-symlink /usr/lib/node_modules/kind-of/node_modules/is-buffer /usr/lib/node_modules/is-buffer
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-kind-of.noarch: W: only-non-binary-in-usr-lib
nodejs-kind-of.noarch: W: dangling-symlink /usr/lib/node_modules/kind-of/node_modules/is-buffer /usr/lib/node_modules/is-buffer
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
nodejs-kind-of (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(is-buffer)



Provides
--------
nodejs-kind-of:
    nodejs-kind-of
    npm(kind-of)



Source checksums
----------------
https://registry.npmjs.org/kind-of/-/kind-of-3.0.2.tgz :
  CHECKSUM(SHA256) this package     : 48404c9edcfdaba7297a560bfe94645f685928e8d37fa50284be414f68f5f53a
  CHECKSUM(SHA256) upstream package : 48404c9edcfdaba7297a560bfe94645f685928e8d37fa50284be414f68f5f53a
https://raw.githubusercontent.com/jonschlinkert/kind-of/master/test.js :
  CHECKSUM(SHA256) this package     : 2b5178d1d458a4e92600ba561d0bf62af4a745f1f155cc8df494119557eef77b
  CHECKSUM(SHA256) upstream package : 2b5178d1d458a4e92600ba561d0bf62af4a745f1f155cc8df494119557eef77b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1304580
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Tom Hughes 2016-02-11 13:33:02 EST
There are a number of commented our BRs that don't appear to relate to anything?

Also an active BR on glob that I can't see being used anywhere?
Comment 3 Jared Smith 2016-02-12 13:41:11 EST
I blindly copied the devDependencies over from package.json, assuming they were all needed as BuildRequires.  Seems that most of them weren't needed.

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-kind-of/nodejs-kind-of.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-kind-of/nodejs-kind-of-3.0.2-3.fc24.src.rpm
Comment 4 Upstream Release Monitoring 2016-02-12 13:43:09 EST
jsmith's scratch build of nodejs-kind-of-3.0.2-3.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12955820
Comment 5 Tom Hughes 2016-02-12 19:23:10 EST
That looks much more sensible now.
Comment 6 Gwyn Ciesla 2016-02-13 12:17:34 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-kind-of
Comment 7 Jared Smith 2016-08-04 07:19:16 EDT
In rawhide, closing bug

Note You need to log in before you can comment on or make changes to this bug.